org.apache.sysds.runtime.controlprogram.parfor

## Class ResultMergeTaggedMatrixIndexes

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.ResultMergeTaggedMatrixIndexes

All Implemented Interfaces:
  Comparable<ResultMergeTaggedMatrixIndexes>, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable<ResultMergeTaggedMatrixIndexes>

    public class ResultMergeTaggedMatrixIndexes
    extends Object
    implements org.apache.hadoop.io.WritableComparable<ResultMergeTaggedMatrixIndexes>

This class serves as composite key for the remote result merge job (for any data format) in order to sort on both matrix indexes and tag but group all blocks according to matrix indexes only. This prevents us from doing an 2pass out-of-core algorithm at the reducer since we can guarantee that the compare block (tag 0) will be the first element in the iterator.

### Constructor Summary

Constructors
Constructor and Description
`ResultMergeTaggedMatrixIndexes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ResultMergeTaggedMatrixIndexes that)`
`boolean` `equals(Object other)`
`MatrixIndexes` `getIndexes()`
`byte` `getTag()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`void` `setTag(byte tag)`
`void` `write(DataOutput out)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultMergeTaggedMatrixIndexes

    public ResultMergeTaggedMatrixIndexes()

### Method Detail

#### getIndexes

    public MatrixIndexes getIndexes()

#### getTag

    public byte getTag()

#### setTag

    public void setTag(byte tag)

#### readFields

    public void readFields(DataInput in)
                    throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

#### write

    public void write(DataOutput out)
               throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

#### compareTo

    public int compareTo(ResultMergeTaggedMatrixIndexes that)

Specified by:
  `compareTo` in interface `Comparable<ResultMergeTaggedMatrixIndexes>`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`